/* :ts=8 */
/*=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-*/
/*                                                              */
/*      SampleInit.c                                            */
/*                                                              */
/*      Init routine for AmigaPLUS article about Intuition     */
/*      Written by Michael G. Lehman                            */
/*      of Intuitive Technologies                               */
/*                                                              */
/*=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-*/


/*=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-*/
/*      Complete Include file for Amiga programs                */
/*      Derived from examples supplied by Commodore Amiga       */
/*=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-*/


#include <exec/types.h>
#include <exec/nodes.h>
#include <exec/lists.h>
#include <exec/memory.h>
#include <exec/ports.h>
#include <exec/tasks.h>
#include <exec/libraries.h>
#include <exec/devices.h>
#include <exec/io.h>
#include <exec/devices.h>

#include <libraries/dos.h>

#include <graphics/gfx.h> /* ALWAYS INCLUDE GFX.H before other includes */
#include <graphics/display.h>
#include <graphics/clip.h>
#include <graphics/rastport.h>
#include <graphics/gfxbase.h>
#include <graphics/text.h>
#include <graphics/regions.h>
#include <graphics/copper.h>
#include <graphics/gels.h>

#include <devices/inputevent.h>
#include <devices/gameport.h>
#include <devices/console.h>
#include <devices/keymap.h>

#include <intuition/intuition.h>


extern UBYTE * AllocMem();

#define SECONDS io_Actual
#define MICROSECONDS io_Length

extern struct Window *window;


struct NewWindow nw = {
        0, 11,                   /* start position               */
        640, 189,               /* width, height                */
        0, 1,                   /* detail pen, block pen        */
        MENUPICK,
        ACTIVATE | WINDOWDEPTH |
        SIMPLE_REFRESH |  REPORTMOUSE,
                                /* window flags                 */
        NULL,                   /* pointer to first user gadget */
        NULL,                   /* pointer to user checkmark    */
        "Intuition Plus Window",/* window title         */
        NULL,                   /* pointer to screen    (later) */
        NULL,                   /* pointer to superbitmap       */
        0,0,0,0,                /* ignored/not a sized window so
                                 * dont have to specify min/max
                                 * size to allow                */
        WBENCHSCREEN            /* type of screen in which to open */
        };

InitAppl()
{
  window = OpenWindow(&nw);
}


